summaryrefslogtreecommitdiffstats
path: root/office/texlive-extra
diff options
context:
space:
mode:
Diffstat (limited to 'office/texlive-extra')
-rw-r--r--office/texlive-extra/README18
-rw-r--r--office/texlive-extra/doinst.sh5
-rw-r--r--office/texlive-extra/slack-desc4
-rw-r--r--office/texlive-extra/texlive-extra.SlackBuild43
-rw-r--r--office/texlive-extra/texlive-extra.info8
5 files changed, 48 insertions, 30 deletions
diff --git a/office/texlive-extra/README b/office/texlive-extra/README
index d1e75df0cc..519fce7046 100644
--- a/office/texlive-extra/README
+++ b/office/texlive-extra/README
@@ -1,6 +1,18 @@
-texlive-extra (extra texmf files for TeXLive)
-
This package contains texmf files which don't fit in the
-texlive base package. Appropriate docs are included as well.
+texlive package shipped by Slackware.
+Appropriate docs are included as well.
Optional dependency: openjdk8
+
+To integrate this package, you have to do the following steps
+as root user:
+
+mktexlsr
+printf "y\n" | updmap-sys --syncwithtrees
+cp /usr/share/texmf-dist/web2c/updmap.cfg.extra \
+ /usr/share/texmf-dist/web2c/updmap.cfg.extra.tmp
+updmap-sys \
+ --cnffile /usr/share/texmf-dist/web2c/updmap.cfg \
+ --cnffile /usr/share/texmf-dist/web2c/updmap.cfg.extra
+mv /usr/share/texmf-dist/web2c/updmap.cfg.extra.tmp \
+ /usr/share/texmf-dist/web2c/updmap.cfg.extra
diff --git a/office/texlive-extra/doinst.sh b/office/texlive-extra/doinst.sh
deleted file mode 100644
index f3b57a1c9c..0000000000
--- a/office/texlive-extra/doinst.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-chroot . /usr/bin/mktexlsr 1>/dev/null 2>/dev/null
-printf "y\n" | chroot . /usr/bin/updmap-sys --syncwithtrees 1>/dev/null 2>/dev/null
-cp usr/share/texmf-dist/web2c/updmap.cfg.extra usr/share/texmf-dist/web2c/updmap.cfg.extra.tmp
-chroot . /usr/bin/updmap-sys --cnffile /usr/share/texmf-dist/web2c/updmap.cfg --cnffile /usr/share/texmf-dist/web2c/updmap.cfg.extra 1>/dev/null 2>/dev/null
-mv usr/share/texmf-dist/web2c/updmap.cfg.extra.tmp usr/share/texmf-dist/web2c/updmap.cfg.extra
diff --git a/office/texlive-extra/slack-desc b/office/texlive-extra/slack-desc
index aaafe2ace0..021d55cf6f 100644
--- a/office/texlive-extra/slack-desc
+++ b/office/texlive-extra/slack-desc
@@ -9,8 +9,8 @@
texlive-extra: texlive-extra (extra texmf files for TeXLive)
texlive-extra:
texlive-extra: This package contains texmf files which don't fit in the
-texlive-extra: texlive base package. Appropriate docs are included as well.
-texlive-extra:
+texlive-extra: texlive package shipped by Slackware.
+texlive-extra: Appropriate docs are included as well.
texlive-extra:
texlive-extra:
texlive-extra:
diff --git a/office/texlive-extra/texlive-extra.SlackBuild b/office/texlive-extra/texlive-extra.SlackBuild
index 4faa70f884..653de6acfb 100644
--- a/office/texlive-extra/texlive-extra.SlackBuild
+++ b/office/texlive-extra/texlive-extra.SlackBuild
@@ -1,10 +1,10 @@
-#!/bin/sh
+#!/bin/bash
-# texlive-extra build script for Slackware
+# Slackware build script for texlive-extra
# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2009 - 2014 Robby Workman, Northport, AL, USA
-# Copyright 2016 - 2019 Johannes Schoepfer, Germany
+# Copyright 2016 - 2023 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,16 +24,21 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=texlive-extra
-VERSION=${VERSION:-2019.190626}
+TEXMFVERSION=${TEXMFVERSION:-230322}
+VERSION=${VERSION:-2023.230322}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -42,31 +47,37 @@ if [ -z "$ARCH" ]; then
esac
fi
-set -e
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TEXMFROOT=/usr/share
rm -rf $PKG
-mkdir -p $TMP $PKG/usr/share $OUTPUT $PKG/usr/bin $PKG/usr/doc/texlive-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG/usr/share
+mkdir -p $TMP $PKG$TEXMFROOT $OUTPUT $PKG/usr/bin $PKG/usr/doc/texlive-$VERSION
+tar xvf $CWD/$PRGNAM-$TEXMFVERSION.tar.xz -C $PKG$TEXMFROOT
chown -R root:root $PKG
chmod -R u+w,go-w,a+rX-st $PKG
# Put symlinks/scripts from tlnet in place
-mv $PKG/usr/share/texmf-dist/linked_scripts/* $PKG/usr/bin
-rmdir $PKG/usr/share/texmf-dist/linked_scripts
+mv $PKG$TEXMFROOT/texmf-dist/linked_scripts/* $PKG/usr/bin
+rmdir $PKG$TEXMFROOT/texmf-dist/linked_scripts
# Move biber binary to $PATH
case $ARCH in
- "x86_64") mv $PKG/usr/share/texmf-dist/bin/x86_64-linux/biber $PKG/usr/bin ;;
- "i586") mv $PKG/usr/share/texmf-dist/bin/i386-linux/biber $PKG/usr/bin ;;
+ "x86_64") mv $PKG$TEXMFROOT/texmf-dist/bin/x86_64-linux/biber $PKG/usr/bin ;;
+ "i586") mv $PKG$TEXMFROOT/texmf-dist/bin/i386-linux/biber $PKG/usr/bin ;;
esac
-rm -rf $PKG/usr/share/texmf-dist/bin
+rm -rf $PKG$TEXMFROOT/texmf-dist/bin
# Install index of provided tex packages to the docs
-mv $PKG/usr/share/texmf-dist/packages.extra.gz $PKG/usr/doc/texlive-$VERSION
+mv $PKG$TEXMFROOT/texmf-dist/packages.extra.gz $PKG/usr/doc/texlive-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/texlive-extra/texlive-extra.info b/office/texlive-extra/texlive-extra.info
index 1e31bcf88e..287ea7cc11 100644
--- a/office/texlive-extra/texlive-extra.info
+++ b/office/texlive-extra/texlive-extra.info
@@ -1,10 +1,10 @@
PRGNAM="texlive-extra"
-VERSION="2019.190626"
+VERSION="2023.230322"
HOMEPAGE="https://tug.org/texlive/"
-DOWNLOAD="http://slackware.schoepfer.info/slackbuilds/texlive/2019/texlive-extra-2019.190626.tar.xz"
-MD5SUM="d75caaad02a5ec1ab5f398465eb759a1"
+DOWNLOAD="http://slackware.schoepfer.info/slackbuilds/texlive/texlive-extra-230322.tar.xz"
+MD5SUM="2a6406b9fca2625cb1d4306e33fe4a3e"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="texlive"
+REQUIRES="%README%"
MAINTAINER="Johannes Schoepfer"
EMAIL="slackbuilds@schoepfer.info"